SC_Interface - Help Index

How To ...

This program is handling the communication with the Supercool Regulator Board, via serial port or USB virtual port. All data in the regulator can be saved to a file, and retrieved later for fast test of different settings. Runtime view helps the user to adjust the parameters for best result and it is also possible to save to runtime log file, for later analysis in other software.

Drop a file in the view will open the file.


Main Command

Commands

File menu
for handling files, printing and exit the application.

Edit menu
for handling text editing (copy, paste etc).

View menu
for changing visible views.

Regulator menu
to send/get commands and data to/from the regulator unit.

Setup menu
for changing the global setup and for firmware download.

Loggfile menu
to handle the log file, to be analyzed in other software.

Help menu
for About dialog and this help document.


(File menu commands)

The File menu offers the following commands:

New | Creates a new document.
Open | Opens an existing document.
Save | Saves an opened document using the same file name.
Save As | Saves an opened document to a specified file name.
Revert to Default | Revert all changes to default values.
Print | Prints a document.
Print Preview | Displays the document on the screen as it would appear printed.
Print Setup | Selects a printer and printer connection.
... | A list of last used user files.
Exit | Exits SC_Interface

It is also possible to drop a file on the view, and it will be opened.


(Edit menu commands)

The Edit menu offers the following commands:

Undo | Reverse previous editing operation.
Cut | Deletes data from the document and moves it to the clipboard.
Copy | Copies data from the document to the clipboard.
Paste | Pastes data from the clipboard into the document.


(View menu commands)

The View menu offers the following commands:

Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.


(Edit menu commands)

Regulator menu commands

The Regulator menu offers the following commands:

Connect | Connect to regulator board through serial interface.
Disconnect | Disconnect the serial interface connection to regulator board.
Stop | Stop the regulator run mode.
Download parameters | Download parameters to regulator board.
Get parameters | Get all parameters from regulator board.
Save to FLASH | Save all parameters to the regulators non-volatile FLASH memory.
Read from FLASH | Read all parameters from FLASH memory to regulator memory and upload.
Set FLASH to default | Revert all parameters in FLASH memory to default settings.
Reboot regulator | Reboot the regulator. Use to test loading of parameters from FLASH to memory.


(Edit menu commands)

Setup menu commands

The Setup menu offers the following commands:

Global setup | Enter global setup view. All global setting is stored in the system registry file.
Download firmware | Download new firmware in the regulator. This command can not be terminated after start. Do not force quit the program.

Global setup

Used to change the global settings for the program. The global values is stored in the computers registry file.

Serial port, to select the serial port and speed. For the moment the only speed supported is 115200 baud.

Celsius and Fahrenheit selection, will change all views to the type selected.

Runtimedata should be of IEEE754 type at all time. Only change this if you are advised by Supercool to do so.

Runtime graph can sometimes be difficult to se on some screens. Set the pen width of the graph to meet your needs. The colors can be changed so user can more easily view the graph. The color in the table will change directly, for easier color selections. Use Set Default Color to get back to default values.

Download firmware

Used to upgrade the firmware in the regulator board. The Firmware is stored in the regulators FLASH memory and is needed to be done, only one time. Press Download key for start the download or Cancel key to exit.

The latest Target file, is installed in the Target folder of application folder.


(Edit menu commands)

Log file menu commands

The Log file menu offers the following commands:

Start | Start logging runtime data to user file.
Start | Stop logging runtime data.

When we activate the log file, we save runtime data from the regulator to a tab-separated text file, which is easily opened in applications like Excel where you can analyze,the data. This helps to get a better understanding of the regulator performance and also for presenting the result in a better way.

If you select a file already existing, we are opening the file and adding data at the end of the file.

First in the file, we get a header with info of what kind of data there will be stored in the file. Also the software versions used.

Then the runtime data is following until the user stop the log file. Please, remember that it can be a lot of data, because we get a block of data 20 times a second.


(Help menu commands)

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Offers you an index to topics on which you can get help.
About | Displays the version number of this application.

About dialog

For software version, support web page, and support email.


Main Regulator Status

Live info from the regulator unit.

Regulator status view, is displaying live data from the regulator unit. Here is the current software version in the regultaor, indication of any error, and the last command performed.

LED The LEDs on the right side: GREEN that the serial port is open for communication, YELLOW that we get runtime data from regulator, RED that there is an error reported from the regulator.

Send key to download parameters and start the regulator.

Stop key to stop the regulator.

Input part, is displaying live info from AD converters, calculated with user settings, to indicate values.

Regulator information part, is displaying the set point and temperature point used in the regulator control loop.

Output information part, is displaying controlled output values to main output, fan 1 and 2. The unit is in percent, for main -100% to +100% and for the fan outputs 0 to 60 Voltages.

Drop file in the view will open the file.


Main User View

The user views are a collection of views to change data values in the regulator unit. All data is also saved in the setting file *.sc type.

  • Base view - for handling base setup
  • Runtime view - for getting runtime view
  • Alarm view - for alarm values
  • Fan view - for FAN settings
  • Sensor view - for sensor settings
  • Regulator view - for regulator settings


User View Base

Base view, for quick setup of the regulator. Select temp sensor, set point and enter info for your own information. All data will be stored in the file.

  • Set point, used in the regulator.
  • Temperature sensor type selection, indicating the main sensor type.
  • User comment, to enter any text you like, to help you remember your settings.


User View Runtime

Live (runtime) data view.

The live data graph is updating data when you have a connection with the regulator unit. You can change update speed with [+] and [-] buttons. And also freeze the view if you need to. Change line thickness in the Global setup view, if you need thicker or thinner lines. Dubbelclick on the view will open the runtime view dialog. That dialog will be able to resize. The view remembers the data of each graph, so it is possible to click on enable/disable part of the list, to change the graph line on or off.

If you will change the colours of the graph, open the global setup to change the settings.

The list on the right side is a selection of the graphs we get in the view. We can set the min/max value of the data, to change the height resolution of the graph selected. Dubbelclick on the list item will open a dialog that can change the min and max values.

Use the UP and DOWN arrow to move up and down in the list. Press space bar to toggle visibility state of selected row.


User View Alarm

Alarm settings.

This view is setting the alarm values in the regulator unit. It is possible to disable all parts, and only enable the parts valid for the regulator. If an error is trigged, the LED is flashing while the error is active, and up to a couple of seconds after the error is cleared.

For the temperature sensor settings (T1,T2,T3 and T4), if high is active, we also check for "shortcut", and if low is active we check for "missing sensor". This way we get total control over the temperature sensor check.


User View Fan

Fan control settings. This view is handling the FAN control.

Fan Mode List

The FAN mode works as follows.

Mode: Off - The FAN is always off.

Mode: Always on - The FAN is always on.

Mode: Cool - The FAN is active when the regulator is in cooling mode.

Mode: Heat - The FAN is active when the regulator is in heating mode.

Mode: Cool and heat - The FAN is active when the regulator is in cooling or heating mode.

Mode: Algo - The FAN is active as result of the algorithm function.

FAN algorithm

FAN algo mode is handling the FAN by tracking the input temperature. The output is given by the temperature and settings.


User View Sensor

Sensor settings.

Select a sensor with the drop selection list. After selecting it is possible to edit this selection with the EDIT button. The edit mode differs for sensor one, and the other sensors.

Use Copy and Paste to copy settings from one sensor place to another. Right click in the sensor view, and you can copy or paste the sensor values.

Upload parameters will replace the sensor settings at position 0, with the values found in the regulator. At the same time the name will be renamed to "Uploaded".

Sensor 1

Sensor 1 edit box.

This is the main sensor for the system. Here it is possible to change the name, and all parameters that are used to calculate the temperature. This is the only sensor with the possibility to adjust the electrical parts on the board by changing digital potentiometers. Contact Supercool for getting help with the best value for your sensor.

Name Change the name on the sensor settings. The name is used in the drop list for you to remember the sensor settings.

Gain is used for adjusting the sensor value. Any other value than 1.0 is affecting the sensor value, even if Stainhart mode is selected. If unsure, use Gain 1.0

Offset is used for adjusting the sensor value. Any other value than 0.0 is affecting the sensor value, even if Stainhart mode is selected. If unsure, use Offset 0.0

Zoom mode - when we select zoom mode, Pot gain and pot offset is controlled with an internal algorithm for best result (default and only available for sensor one).

Pot Gain, when not in Zoom mode, is used for adjusting the electrical sensor value. Any value is affecting the sensor value in all modes. If unsure, use Zoom mode for automatically adjustment.

Pot Offset, when not in Zoom mode, is used for adjusting the electrical sensor value. Any value is affecting the sensor value in all modes. If unsure, use Zoom mode for automatically adjustment.

Steinhart mode The regulator board is calculating the temperature of an NTC resistance by using the Steinhart-Heart equation. Normally the NTC sensor is difficult to use, but after correct Steinhart values are selected, the temperature is very accurate in the area where the points are selected. Note that normal values for Gain are 1, and Offset is 0, in this mode. If gain and offset are changed, the result from the Steinhart equation is effected. Please contact Supercool for more information.

Sensor 2,3,4

Sensor 2, 3, 4 edit box.

Here it is possible to change the name, and all parameters in the regulator that are used to calculate the temperature of the sensor input.

Name Change the name on the sensor settings. The name is used in the drop list for you to remember the sensor settings.

Gain is used for adjusting the sensor value. Any other value than 1.0 is affecting the sensor value, even if Stainhart mode is selected. If unshore, use Gain 1.0

Offset is used for adjusting the sesnor value. Any other value than 0.0 is affecting the sensor value, even if Stainhart mode is selected. If unshore, use Offset 0.0

Steinhart mode The regulator board is calculating the temperature of an NTC resistance by using Steinhart equation. Normally the NTC sensor is difficult to use, but after correct Steinhart values are selected, the temperature is very accurate in the area where the points are selected. Note that normal values for Gain are 1, and Offset is 0, in this mode. If gain and offset are changed, the result from the Steinhart equation is effected. Please contact Supercool for more information.

Sensor 4 is mounted on the cooling part of the H-bridge used to control the output voltage to the main out. Here we can get feedback to check if we cool the electronics the right way.


User View Regulator

Regulator settings.

This is the heart of the regulator unit. Here we set the type of regulator we should use, and set the parameters to get best performance for the task we use the regulator in.

Regulator mode list.

We can select one of following modes: Off, Power, Algo, P, PI, PD, PID mode. Depending of the mode selected we get the regulator to function differently.

Off mode - will always keep the regulator off.

Power mode - This mode is used for directly controlling the output power. It can be useful when determining the response of the system. You can either connect a potentiometer to the External pot-connector, or you can feed a voltage to the center pin of the External pot-connector where 0V=-100%, 2.5V=0% and 5V=+100%. Note that Max power out/Dead band/Cool and Heat gain are active and might affect the output amplitude.

Algo mode - is used to simulate "cool on"/"off"/"heat on" mode type, similar to a relay controller.

Algo mode: Dead-band setting - is used in algo mode.

Algo mode: Hysteris setting - is used in algo mode

P, PI, PD, or PID mode - will use all or selected parts of the PID regulator. Of course it is possible to use PID mode and only set P, I or D constant to zero, but the possibility to change mode quickly without changing the constants helps to trim the values for optimal use.

The picture shows the function of the PID regulator.

Ta1 is the input temperature, Tref is the set point, Ts is sample rate, KLP_x is filter constants, Decay is decay constant, Te is the regulator error feeding to the PID part, kP, kI, kD is the PID constants, iLim is limitation of I value, fOutReg is the internal value feeding to the output block.

PID mode: Propotional (kP) - is the P constant value used in PID mode.

PID mode: Integral (kI) - is the I constant value used in PID mdoe.

PID mode: Derivative (kD) - is the D constant value used in PID mode.

PID mode: Integral value limit - is used to limit the I part. When the I part is accumulated up to this value, it will stop.

PID mode: Lowpass Tr (kTr) - is used as a filter on the set point changes. So if we change the set point while we are running the regulator, we are limiting the speed of the change with this parameter.

PID mode: Lowpass Te (kTe) - is used as a filter of the Te signal. Te is the difference between temperature sensor and the set point. All changes of this signal are filtered here.

Output block

The main output block is handling the adjustment part before the actual output signal. We have CoolGain, HeatGain, Dead-band and Limit values that the user can set in the interface.

Heat gain and Cooling gain - to adjust the effectiveness of the output elements. Some time we get uneven output effect in the element. Here we can adjust so that we have even effect on the cooling and heating part.

Dead-band - is used to limit the output control around zero. Any output lower than the value set in this box will render 0% output. This is useful in order to avoid too fast switches between cooling and heating in order to increase lifetime of the thermoelectric modules.

Max power out - Limit is used to set the max output value. This is always in effect. Valid range is 0 to 100 and the unit is percent (%).

St1 - is the set point the regulator should control around.[-100..200]

Decay when stopped - when the regulator is stopped, the internal register values used in the PID regulator, will decay to zero with the speed of the value selected here. The value should be less than 1 and larger than zero. If 1 is selected we do not decay at all, and if 0 is selected we clear the internal value without any decay time. Internal register is multiplied with this value at a rate of sampling speed.

Sampling speed - is fixed for the moment with 20Hz = 0.05s


(status bar)

The status bar is displayed at the bottom of the SC_Interface window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you press them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicate which of the following keys are latched down:

Indicator Description

CONN The status of serial port to regulator.

CAP The Caps Lock key is latched down.

NUM The Num Lock key is latched down.

SCRL The Scroll Lock key is latched down.


(toolbar)

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in SC_Interface,

To hide or display the toolbar, click Toolbar from the View menu.

Global setup, Log file handling, COM port open/close, get version, send parameters, get parameters etc.


(Scroll bars)

Supercool web

For more information.

Supercool web site: http://www.supercool.com

Software support at: controllers@supercool.se


(Choose Color Dialog)

Choose Color dialog box

<< Write application-specific help here. >>


(File Open dialog box)

The following options allow you to specify which file to open:

File Name

Specifies the file you want to open. This box lists files with the extension you select in the List Files of Type field.

List Files of Type

Specifies the type of file you want to open:

    *.sc - is the file type used to save all parameter data.

Drives

Specifies the drive in which SC_Interface stores the file that you want to open.

Directories

Specifies the directory in which SC_Interface stores the file that you want to open.

Network

Click this button to connect to a network location, assigning it a new drive letter.


(File Save As dialog box)

The following options allow you to specify the name and location of the file you're about to save:

File Name

Specifies a file name to save a document with a different name. SC_Interface adds the extension you specify in the Save File As Type box.

Drives

Specifies the drive in which you want to store the document.

Directories

Specifies the directory in which you want to store the document.

Network

Click this button to connect to a network location, assigning it a new drive letter.


(Find Dialog)

Find dialog box

<< Write application-specific help here. >>


(Choose Font Dialog)

Choose Font dialog box

<< Write application-specific help here. >>


(File New dialog box)

<< Delete this help topic if your application supports only one document type. >>

Specify the type of document you want to create:

<< List your application's document types here >>


(Print dialog box)

The following options allow you to specify how the document should be printed:

Printer

Displays the active printer and printer connection. Choose the Setup option to change the printer and printer connection.

Setup

Displays a Print Setup dialog box, so you can select a printer and printer connection.

Print Range

Specifies the pages you want to print:

All | Prints the entire document.
Selection | Prints the currently selected text.
Pages | Prints the range of pages you specify in the From and To fields.

Copies

Specifies the number of copies you want to print for the above page range.

Collate Copies

Prints copies in page number order, instead of separated multiple copies of each page.

Print Quality

Specifies the quality of the printing. Generally, lower quality printing takes less time to produce.


(Print Progress Dialog)

The Printing dialog box is shown during the time that SC_Interface is sending output to the printer. The page number indicates the progress of the printing.

To abort printing, choose Cancel.


(Print Setup dialog box)

The following options allow you to select the destination printer and its connection.

Printer

Specifies the printer you want to use. Choose the default printer, or choose the Specific Printer option and select one of the current installed printers shown in the box. You install printers and configure ports using Control Panel.

Orientation

Specifies Portrait or Landscape.

Paper Size

Specifies the size of paper that the document is to be printed on.

Paper Source

Specifies the paper source, because some printers offer multiple trays for different paper sources.

Options

Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.

Network

Click this button to connect to a network location, assigning it a new drive letter.


(Replace Dialog)

Replace dialog box

<< Write application-specific help here. >>


(No Help Available)

No help is available for this message box.


(Docking Toolbar Area)

This area is provided to contain dockable toolbars, such as the default toolbar created for the application. Docking toolbars can be dragged onto or off this client area, and arrange themselves according to the space available.


(print preview toolbar)

The print preview toolbar offers you the following options:

Print

Opens the Print dialog box to start a print job.

Next Page

Previews the next printed page.

Prev Page

Previews the previous printed page.

One Page / Two Page

Previews one or two printed pages at a time.

Zoom In

Takes a closer look at the printed page.

Zoom Out

Takes a larger look at the printed page.

Close

Returns from print preview to the editing window.


(About command (Help menu))

Use this command to display the copyright notice and version number of your copy of SC_Interface.


(File Exit command)

Exit command (File menu)

Use this command to end your SC_Interface session. You can also use the Close command on the application Control menu. SC_Interface prompts you to save documents with unsaved changes.


(Help Using Help Command)

Context Help command

Use this command to obtain help on some portion of SC_Interface. When you choose the toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the SC_Interface window, such as another toolbar button. The help topic will be shown for the item you clicked.


(Edit Clear Command)

Clear command (Edit menu)

<< Write application-specific help here. >>


(Edit Clear All)

Clear All command (Edit menu)

<< Write application-specific help here. >>


(Copy command (Edit menu))

Use this command to copy selected data onto the clipboard. This command is unavailable if there is no data currently selected.

Copying data to the clipboard replaces the contents previously stored there.


(Cut command (Edit menu))

Use this command to remove the currently selected data from the document and put it on the clipboard. This command is unavailable if there is no data currently selected.

Cutting data to the clipboard replaces the contents previously stored there.


(Edit Find Command)

Find command (Edit menu)

<< Write application-specific help here. >>


(Paste command (Edit menu))

Use this command to insert a copy of the clipboard contents at the insertion point. This command is unavailable if the clipboard is empty.


(Redo command (Edit menu))

<< Write application-specific help here. >>


(Edit Repeat Command)

Repeat command (Edit menu)

Use this command to repeat the last editing command carried out. The Repeat menu item changes to Can't Repeat if you cannot repeat your last action.


(Edit Replace Command)

Replace command (Edit menu)

<< Write application-specific help here. >>


(Undo/Can't Undo command (Edit menu))

<< Your application's user interface for Undo may differ from the one described below. Modify this help text accordingly. >>

Use this command to reverse the last editing action, if possible. The name of the command changes, depending on what the last action was. The Undo command changes to Can't Undo on the menu if you cannot reverse your last action.


(File Close command)

Close command (File menu)

Use this command to close all windows containing the active document. SC_Interface suggests that you save changes to your document before you close it. If you close a document without saving, you lose all changes made since the last time y ou saved it. Before closing an untitled document, SC_Interface displays the Save As dialog box and suggests that you name and save the document.


(File 1, 2, 3, 4 command)

1, 2, 3, 4, 5, 6, 7, 8, 9, 10 command (File menu)

Use the numbers and filenames listed at the bottom of the File menu to open the last ten documents you closed. Choose the number that corresponds with the document you want to open.


(File New command)

New command (File menu)

Use this command to create a new document in SC_Interface.

You can open an existing document with the Open command.


(File Open command)

Open command (File menu)

Use this command to open an existing document in a new window. You can open multiple documents at once. Use the Window menu to switch among the multiple open documents. See Window 1, 2, ... command.

You can create new documents with the New command.


(File Page Setup Command)

Page Setup command (File menu)

<< Write application-specific help here. >>


(File Print command)

Print command (File menu)

Use this command to print a document. This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.


(File Print Preview command)

Print Preview command (File menu)

Use this command to display the active document as it would appear when printed. When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.


(File Print Setup command)

Print Setup command (File menu)

Use this command to select a printer and a printer connection. This command presents a Print Setup dialog box, where you specify the printer and its connection.


(File Close command)

Revert to default command (File menu)

Use this command to revert all data to default values.


(File Save command)

Save command (File menu)

Use this command to save the active document to its current name and directory. When you save a document for the first time, SC_Interface displays the Save As dialog box so you can name your document. If you want to change the name and directory of an existing document before you save it, choose the Save As command.


(File Save As command)

Save As command (File menu)

Use this command to save and name the active document. SC_Interface displays the Save As dialog box so you can name your document.

To save a document with its existing name and directory, use the Save command.


(Send command (File menu))

Use this command to send the active document through e-mail. This command presents a mail window with the active document attached to it. You may then fill out the To field, Subject field, and so on, and add text to the body of the message. When you are finished, you can click the Send button to send the message.


(Index command (Help menu))

Use this command to display the opening screen of help. From the opening screen, you can jump to step-by-step instructions for using SC_Interface and various types of reference information.

Once you open help, you can click the Contents button whenever you want to return to the opening screen.


(Using Help command (Help menu))

Use this command for instructions about using help.


(Title Bar)

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control menu button

Document Control menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


(No Help Available)

No help is available for this area of the window.


(Next Pane Command)

Next Pane

<< Write application-specific help here. >>


(Prev Pane Command)

Prev Pane

<< Write application-specific help here. >>


(Close command (Control menus))

Use this command to close the active window or dialog box.

Double-clicking a Control menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.


(Maximize command (System menu))

Use this command to enlarge the active window to fill the available space.


(System Minimize Command)

Minimize command (application Control menu)

Use this command to reduce the SC_Interface window to an icon.


(Move command (Control menu))

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.


(Next Window command (document Control menu))

Use this command to switch to the next open document window. SC_Interface determines which window is next according to the order in which you opened the windows.


(Previous Window command (document Control menu))

Use this command to switch to the previous open document window. SC_Interface determines which window is previous according to the order in which you opened the windows.


(Restore command (Control menu))

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


(Size command (System menu))

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the direction keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a direction key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.


(Switch to command (application Control menu))

Use this command to display a list of all open applications. Use this task List to switch to or close an application on the list.

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List

Specifies the application you want to switch to or close.

Switch To

Makes the selected application active.

End Task

Closes the selected application.

Cancel

Closes the Task List box.

Cascade

Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.

Tile

Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.

Arrange Icons

Arranges the icons of all minimized applications across the bottom of the screen.


(View Ruler Command)

Ruler command (View menu)

<< Write application-specific help here. >>


(View Status Bar Command)

Status Bar command (View menu)

Use this command to display and hide the status bar, which describes the action to be executed by the selected menu item or pressed toolbar button, and keyboard latch state. A checkmark appears next to the menu item when the status bar is displayed.

See Status Bar for help on using the status bar.


(View Toolbar command)

Toolbar command (View menu)

Use this command to display and hide the toolbar, which includes buttons for some of the most common commands in SC_Interface such as File Open. A checkmark appears next to the menu item when the toolbar is displayed.

See Toolbar for help on using the toolbar.


(1, 2, ... command (Window menu))

SC_Interface displays a list of currently open document windows at the bottom of the Window menu. A checkmark appears in front of the document name of the active window. Choose a document from this list to make its window active.


(Window Arrange Icons Command)

Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this d ocument window.


(Cascade command (Window menu))

Use this command to arrange multiple opened windows in an overlapped fashion.


(New command (Window menu))

Use this command to open a new window with the same contents as the active window. You can open multiple document windows to display different parts or views of a document at the same time. If you change the contents in one window, all other windows containing the same document reflect those changes. When you open a new window, it becomes the active window and is displayed on top of all other open windows.


(Split Command (Window menu))

Use this command to split the active window into panes. You may then use the mouse or the keyboard arrows to move the splitter bars. When you are finished, press the mouse button or enter to leave the splitter bars in their new location. Pressing es cape keeps the splitter bars in their original location. << In a single document interface application, this command will appear on the View menu. >>


(Tile command (Window menu))

Use this command to arrange multiple opened windows in a nonoverlapped fashion.


(Tile Horizontal command (Window menu))

Use this command to vertically arrange multiple opened windows in a nonoverlapped fashion.


(Tile Vertical command (Window menu))

Use this command to arrange multiple opened windows side by side.


(Modifying the Document)

<< Write application-specific help here that provides an overview of how the user should modify a document using your application.

If your application supports multiple document types and you want to have a distinct help topic for each, then use the help context ID generated by running the MAKEHELP.BAT file produced by the application wizard. Alternately, run MAKEHM as follows:

makehm IDR_HIDR_,0x2000 resource.h

If the IDR_ symbol for one of your document types is, for example, IDR_CHARTTYPE, then the help context ID generated by MAKEHM will be HIDR_CHARTTYPE.

Note: The application wizard defines the HIDR_DOC1TYPE help context ID used by this help topic for the first document type supported by your application. The application wizard produces an alias in the .hpj file for your application, mapping HIDR_DOC1TYPE to the HIDR_ produced by MAKEHM for that document type. >>


(Window menu commands)

The Window menu offers the following commands, which enable you to arrange multiple views of multiple documents in the application window:

New Window | Creates a new window that views the same document.
Cascade | Arranges windows in an overlapped fashion.
Tile | Arranges windows in non-overlapped tiles.
Arrange Icons | Arranges icons of closed windows.
Window 1, 2, ... | Goes to specified window.


(Scroll bars)

Displayed at the right and bottom edges of the document window. The scroll boxes inside the scrollbars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.

<< Describe the actions of the various parts of the scrollbar, according to how they behave in your application. >>